Support Article

Microsoft Visio version 2000 and below are no longer supported

SA-25789

Summary



Launching Visio flow editor using virtual desktop environment (VDE) fails with an error message.

Error Messages



Microsoft Visio version 2000 and below are no longer supported. Please upgrade to Visio 2002 or higher. Aborting launch process.

Steps to Reproduce



Launch Visio flow editor in VDE environment such as WMWare.

Root Cause



Instead of natively installed Microsoft Visio 2010 application, the VDE server had Microsoft Visio Viewer 2010 application installed:




prVisioInterface ActiveX control could not find Visio version from Windows registry keys. It assumes that some older Visio version is installed, which is incorrect, and raises an error message.

Resolution



Natively installed Microsoft Visio 2010 application must be installed on the VDE server for PRPC Visio desktop integration to work.

Published July 19, 2016 - Updated July 28, 2016

Have a question? Get answers now.

Visit the Collaboration Center to ask questions, engage in discussions, share ideas, and help others.